enum WorkflowNodeConnectorTrigger { None, Receive, Submit, Accept }
enum WorkflowNodeConnectorAction { None, True, False }

class WorkflowNodeConnector {
  String? fromNodeId;
  String? toNodeId;
  WorkflowNodeConnectorTrigger? trigger;
  WorkflowNodeConnectorAction? action;

  WorkflowNodeConnector(
      {this.fromNodeId, this.toNodeId, this.trigger, this.action});

  WorkflowNodeConnector.fromJson(Map<String, dynamic> json) {
    fromNodeId = json['FromNodeId'];
    toNodeId = json['ToNodeId'];
    trigger = json['Trigger'];
    action = json['Action'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['FromNodeId'] = this.fromNodeId;
    data['ToNodeId'] = this.toNodeId;
    data['Trigger'] = this.trigger;
    data['Action'] = this.action;
    return data;
  }
}
