import 'package:diagram_editor/diagram_editor.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/policy/canvas/canvas_actions_policy.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/policy/canvas/canvas_nodes_policy.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/policy/custom_policy.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/policy/nodes/create_node_policy.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/policy/canvas/canvas_init_policy.dart';

class MyPolicySet extends PolicySet
    with
        CanvasInitPolicy,
        CanvasActionsPolicy,
        CanvasNodesPolicy,
        CreateNodePolicy,
        CanvasControlPolicy,
        CustomStatePolicy,
        CustomBehaviourPolicy {}
